<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
                xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity4">
    <head>
        <title>Account</title>
        <div th:replace="fragments/header :: header-css"/>
    </head>
    <body>
        <div th:replace="fragments/header :: header"/>
        <div class="container">
            <div class="starter-template">
                <h1 th:inline="text">Hello [[${#httpServletRequest.remoteUser}]]!</h1>
                <br/>
                <h2>Account page (Spring Security protected)</h2>

                Details for the account:
                <span sec:authorize="hasAuthority('ROLE_ADMIN')">
                    <form th:action="@{/account/update}" method="post" th:object="${accountForm}" modelAttribute=
                            "accountForm">
                        <h3>The details for the user can be edited below:</h3>
                        <div th:if="${param.logout}">
                            <div class="alert alert-info">You have been logged out.</div>
                        </div>
                        <div class="form-group">
                            <input type="text" name="username" id="username" class="form-control input-lg"
                                   placeholder="Username" required="true" th:value="${account.user.username}" />
                        </div>
                        <div class="form-group">
                            <input type="password" name="password" id="password" class="form-control input-lg"
                                   placeholder="Password" required="true" th:field="*{password}" />
                        </div>
                        <div class="form-group">
                            <input type="number" name="age" id="age" class="form-control input-lg" placeholder="Age"
                                   required="true" th:value="${account.age}" />
                        </div>
                        <div class="form-group">
                            <select name="gender" id="gender">
                                <option th:each="gender : ${T(za.co.entelect.fitnessdashboard.domain.objects.account
                                .Gender).values()}" th:value="${gender}" th:selected="${gender==account
                                .gender}" th:text="${gender.displayName}">Options</option>
                            </select>
                        </div>
                        <div>
                            <input type="submit" class="btn btn-lg btn-primary btn-block" value="Update"/>
                        </div>
                    </form>
                </span>
                <span sec:authorize="!hasAuthority('ROLE_ADMIN')">
                    <div th:text="'Username: ' + ${account.user.username}" />
                    <div th:text="'Age: ' + ${account.age}" />
                    <div th:text="'Gender: ' + ${account.gender.displayName}" />
                </span>
                <br/><br/>
                <form action="/goal" name="goalForm" method="get">
                    <input type="submit" value="Goals" class="button red small" />
                </form>

                <form th:action="@{/logout}" method="post">
                    <input type="submit" value="Sign Out"/>
                </form>
            </div>
        </div>
        <!-- /.container -->
        <div th:replace="fragments/footer :: footer"/>
    </body>
</html>